---
title: RTCRtpStreamStats.kind
slug: Web/API/RTCRtpStreamStats/kind
tags:
  - API
  - Audio
  - Media
  - Property
  - RTCRtpStreamStats
  - RTP
  - Reference
  - Statistics
  - Stats
  - Video
  - WebRTC
  - WebRTC API
  - kind
  - rtc
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <code><strong>kind</strong></code> property of the {{domxref("RTCRtpStreamStats")}} dictionary is a string indicating whether the described {{Glossary("RTP")}} stream contains audio or video media.</span> Its value is always either <code>"audio"</code> or <code>"video"</code>.</p>

<p>This property was previously called <code>mediaType</code>. The name was changed in the specification in February, 2018. See {{anch("Browser compatibility")}} below to determine how this affects the browsers you're targeting.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>mediaKind</em> = <em>RTCRtpStreamStats</em>.kind;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value is <code>"audio"</code> if the track whose statistics are given by the <code>RTCRtpStreamStats</code> object contains audio, or <code>"video"</code> if the track contains video media.</p>

<p>This string will always be the same as the one provided by the associated {{domxref("MediaStreamTrack")}} object's {{domxref("MediaStreamTrack.kind", "kind")}} property. It will also match the statistics object's {{domxref("RTCCodecStats.codec")}} property's media type.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-rtcrtpstreamstats-kind', 'RTCRtpStreamStats.kind')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpStreamStats.kind")}}</p>
